
enum ItemType: String, Equatable, Hashable {

    case post = "post"

    case page = "page"

    case tag = "tag"

    case file = "file"

    case tagOverview = "tag-overview"
}

extension ItemType: Comparable {
    public static func < (lhs: ItemType, rhs: ItemType) -> Bool {
        lhs.rawValue < rhs.rawValue
    }
}

extension ItemType: Codable {
    
}
